package jp.hishidama.swing.icon;

import java.awt.Component;
import java.awt.FontMetrics;
import java.awt.Graphics;

import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;

/**
 *
 * @since 2009.03.29
 */
public class StringIcon implements Icon {

	private int w, h;
	private String str;

	public StringIcon(String str) {
		JLabel c = new JLabel();
		FontMetrics fm = c.getFontMetrics(c.getFont());
		w = SwingUtilities.computeStringWidth(fm, str);
		h = fm.getHeight();
		this.str = str;
	}

	@Override
	public int getIconWidth() {
		return w;
	}

	@Override
	public int getIconHeight() {
		return h;
	}

	@Override
	public void paintIcon(Component c, Graphics g, int x, int y) {
		g.drawString(str, x, y + h);
	}
}
